<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;

$document->addCustomTag('
<style type="text/css">
ul.sly_items_'.$ext_id.' li {
	width: '.$ext_item_width.'px;
}
</style>');
?>

<script type="text/javascript">
jQuery(document).ready(function(){
		jQuery('#ext_sly_<?php echo $ext_id; ?>').sly({
			horizontal: <?php echo $ext_horizontal; ?>,			
			itemNav: '<?php echo $ext_itemnav; ?>',			
			itemSelector: <?php echo $ext_itemselector; ?>,
			smart: <?php echo $ext_smart; ?>,
			activateOn:   '<?php echo $ext_activateon; ?>',
			activateMiddle: <?php echo $ext_activatemiddle; ?>,
			scrollSource: <?php echo $ext_scrollsource; ?>,
			scrollBy: <?php echo $ext_scrollby; ?>,
			dragSource:  <?php echo $ext_dragsource; ?>,
			mouseDragging: <?php echo $ext_mousedragging; ?>,
			touchDragging: <?php echo $ext_touchdragging; ?>, 
			releaseSwing: <?php echo $ext_releaseswing; ?>, 
			swingSpeed: <?php echo $ext_swingspeed; ?>,
			elasticBounds: <?php echo $ext_elasticbounds; ?>,
			interactive: <?php echo $ext_interactive; ?>,
			scrollBar: '#scrollbar_<?php echo $ext_id; ?>',
			dragHandle: <?php echo $ext_draghandle; ?>,
			dynamicHandle: <?php echo $ext_dynamichandle; ?>,
			minHandleSize: <?php echo $ext_minhandlesize; ?>,
			clickBar: <?php echo $ext_clickbar; ?>,
			syncSpeed: <?php echo $ext_syncspeed; ?>,			
			cycleBy: '<?php echo $ext_cycleby; ?>',
			cycleInterval: <?php echo $ext_cycleinterval; ?>,
			pauseOnHover: <?php echo $ext_pauseonhover; ?>,
			startPaused: <?php echo $ext_startpaused; ?>, 
			moveBy: <?php echo $ext_moveby; ?>,  
			speed: <?php echo $ext_speed; ?>,   
			easing: '<?php echo $ext_easing; ?>',
			startAt: <?php echo $ext_startat; ?>,
			keyboardNavBy: '<?php echo $ext_keyboardnavby; ?>',
			draggedClass:  '<?php echo $ext_draggedclass; ?>',
			activeClass:   '<?php echo $ext_activeclass; ?>',					
			disabledClass: '<?php echo $ext_disabledclass; ?>',
			
			prev: '#sly_btn_prev_<?php echo $ext_id; ?>',
			next: '#sly_btn_next_<?php echo $ext_id; ?>'
			
			
		});	
  
});
</script>



<div class="mod_ext_sly_jshopping_products <?php echo $moduleclass_sfx ?>">	
	
	
	<?php if ($scrollbar_poss == 'top') : ?>
	<div id="scrollbar_<?php echo $ext_id; ?>" class="sly_scrollbar">
		<div class="handle">
			<div class="mousearea"></div>
		</div>
	</div>	
	<?php endif; ?>
	
	
	
	<div id="ext_sly_<?php echo $ext_id; ?>" class="sly_frame">
		<ul class="sly_items_<?php echo $ext_id; ?>" >	
		<?php foreach($last_prod as $curr){ ?>	
			<li>
				<div class="ext-item-wrap">
				    <div class="block_item">
						<div class="item_name">
						   <span><a href="<?php print $curr->product_link?>"><?php print $curr->name?></a></span>
						</div>
				   
					   <?php if ($show_image) { ?>
						<div class="item_image">
							
							<?php if ($curr->label_id AND $ext_label_prod > 0){?>
								<div class="product_label">
									<?php if ($curr->_label_image){?>
										<img src="<?php print $curr->_label_image?>" alt="<?php print htmlspecialchars($curr->_label_name)?>" />
									<?php }else{?>
										<span class="label_name"><?php print $curr->_label_name;?></span>
									<?php }?>
								</div>
							<?php }?>
							<span>
								<a href="<?php print $curr->product_link?>"><img src = "<?php print $jshopConfig->image_product_live_path?>/<?php if ($curr->product_thumb_image) print $curr->product_thumb_image; else print $noimage?>" alt="" /></a>
							</span>
						</div>
					   <?php } ?>
					   
					   <?php if ($curr->_display_price AND $ext_product_price > 0){?>
						<div class="item_price">
						   <?php print formatprice($curr->product_price);?>
						</div>
						<?php } ?>
					   
						<?php if ($ext_short_desc > 0 AND $curr->short_description) { ?>
						<div class="short_description">
							<?php print $curr->short_description?>
						</div>
						<?php } ?>
						
						<?php if ($ext_review_mark > 0) { ?>
						<div class="review_mark">
							<?php print showMarkStar($curr->average_rating);?>
						</div>
						<?php } ?>
						
						<?php if ($ext_count_commentar > 0) { ?>
						<div class="count_commentar">
							<?php print sprintf(_JSHOP_X_COMENTAR, $curr->reviews_count);?>
						</div>				
						<?php } ?>
						<?php if ($ext_item_detal > 0) { ?>
						<div class="item_detal">
						   <a href="<?php print $curr->product_link?>"><?php echo $ext_buttom_text; ?></a>
						</div>
						<?php } ?>
				    </div>
				</div>
			</li>
		<?php } ?>
		</ul>
	</div>

	
	<?php if ($scrollbar_poss == 'bottom') : ?>
	<div id="scrollbar_<?php echo $ext_id; ?>" class="sly_scrollbar">
		<div class="handle">
			<div class="mousearea"></div>
		</div>
	</div>	
	<?php endif; ?>
	
	<?php if ($ext_controls_btn > 0) : ?>
	<div class="sly_controls">
		<button id="sly_btn_prev_<?php echo $ext_id; ?>" class="btn prev"><i class="icon-chevron-left"></i> prev</button>		
		<button id="sly_btn_next_<?php echo $ext_id; ?>" class="btn next"><i class="icon-chevron-right"> next</i></button>
	</div>
	<?php endif; ?>	
	
	
	
	
	<div style="clear:both;"></div>
</div>